Page 1 of 4 123 ... LastLast
Results 1 to 10 of 34

Thread: gedit knoppix 7.6 issue

  1. #1
    Member registered user
    Join Date
    Oct 2005
    Location
    Malta
    Posts
    48

    Unhappy gedit knoppix 7.6 issue

    gedit does not load and when I run it from the terminal, I get the following:

    (gedit:27415): Gtk-WARNING **: GTK+ module libgail.so cannot be loaded.
    GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported.

    ** (gedit:27415): WARNING **: Could not load Gedit repository: Typelib file for namespace 'GtkSource', version '3.0' not found

    (gedit:27415): GLib-GIO-ERROR **: Settings schema 'org.gnome.nautilus.preferences' does not contain a key named 'enable-delete'
    Trace/breakpoint trap


    Kindly advise... thanks

  2. #2
    Senior Member registered user
    Join Date
    May 2006
    Location
    Columbia, Maryland USA
    Posts
    1,631
    Quote Originally Posted by rspiteri View Post
    gedit does not load and when I run it from the terminal
    I can confirm this; also doesn't respond from Accessories>gedit menu.
    For a work-around, consider leafpad and/or geany.

  3. #3
    Member registered user
    Join Date
    Oct 2005
    Location
    Malta
    Posts
    48
    Thanks for your reply.

    Yes I am aware of the other applications however I always used gedit, that's why I asked...

    Will post a fix if I find one...

  4. #4
    Senior Member registered user
    Join Date
    May 2006
    Location
    Columbia, Maryland USA
    Posts
    1,631
    There is a libgail upgrade available, but that doesn't solve the problem.

  5. #5
    Senior Member
    Join Date
    Dec 2012
    Posts
    151
    In knoppix 7.4.2, which comes with gedit 3.12-1+b1, upgrading to 3.14.0-3 with Synaptic works well. What gives in knoppix 7.6.0?

  6. #6
    Senior Member registered user
    Join Date
    May 2006
    Location
    Columbia, Maryland USA
    Posts
    1,631
    For what it's worth:

    I googled gedit and got the impression that it has a history of compilation
    difficulties often related to getting gnome heading information correct or complete.

    gedit takes up about 4.4 Mb, geany takes up about 11 Mb; neither number
    is a significant determiner in a 10 Gb system.

    geany has its admirers; among these are:

    Personally, I use leafpad for notes to myself, or composing off-line forum posts,
    and geany when I am trying to read some 'serious' code.

  7. #7
    Senior Member
    Join Date
    Dec 2012
    Posts
    151
    Referring to the warnings received by the original poster:

    1
    I do not have the first warning.

    2
    Solved the second warning by installingv gir1.2-gtksource3-3.0 with Synaptic

    3
    Solbved the third warning (an error) by removing nautilus and nautilus-data with Synaptic.

    Now gedit opens in knoppix 7.6.0.
    Last edited by philo; 12-03-2015 at 12:22 PM.

  8. #8
    Senior Member
    Join Date
    Dec 2012
    Posts
    151
    gedit 3.18 and nautilus 3.18 may agree. I did not test that.

  9. #9
    @philo Thanks for sharing the fix! Cannot wait to try out the new release of KNOPPIX....

  10. #10
    Senior Member registered user
    Join Date
    May 2006
    Location
    Columbia, Maryland USA
    Posts
    1,631
    Quote Originally Posted by philo View Post
    Solved the third warning (an error) by removing nautilus and nautilus-data with Synaptic.
    Now gedit opens in knoppix 7.6.0.
    Hello, Philo.

    Two comments or observations:

    1. Removing Nautilus may create more problems than it solves,
    since it may be used by programs other than gedit.

    2. Nautilus has two warnings of its own, one is the same as
    for gedit; the other warning is different. Nautilus does not
    fail on error itself, as does gedit.

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •